Bug 1017410 - Configure Grinder when running on a CDS to log to it's own file.
Configure Grinder when running on a CDS to log to it's own file.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation (Show other bugs)
2.1.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1.3
Assigned To: Megan Lewis
Dan Macpherson
:
Depends On: 1017310
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 16:03 EDT by Dan Macpherson
Modified: 2014-01-23 18:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1017310
Environment:
Last Closed: 2014-01-23 18:59:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2013-10-09 16:03:39 EDT
+++ This bug was initially created as a clone of Bug #1017310 +++

Description of problem:

We would like to see Grinder writing to it's own log file on a CDS during sync.

The proposed change is to modify how the CDS configures the python logging and use a logging configuration file similar to what pulp-server does.

--- Additional comment from John Matthews on 2013-10-09 11:40:56 EDT ---

Added a config entry to /etc/pulp/cds.conf to control what logging config file to load
   log_config_file = /etc/pulp/logging/cds.cfg

Introduced new logging configuration file:  /etc/pulp/logging/cds.cfg
   https://github.com/splice/pulp/blob/rhui/etc/pulp/logging/cds.cfg

To view the CDS logs, look at:
 /var/log/pulp-cds/pulp.log    <- Pulp specific (was gofer.log)
 /var/log/pulp-cds/grinder.log <- Grinder specific

Gofer log is still at:
  /var/log/gofer/agent.log


Associated commit:
https://github.com/splice/pulp/commit/438e944f22d35393497023fb07cce23e8e9bd366
Comment 3 Dan Macpherson 2013-11-15 02:00:09 EST
Looking good, Megan. Probably a few minor things to rectify:

Procedure 3.2. View CDS Logs
- Make sure the log file paths/filenames are marked up with <filename>

Procedure 3.9. Add a New CDS Log
Step 1 - Make the "note" admonition and "important" one
Step 2 - In "Add a new entry to keys under [loggers] for the new log.", mark [loggers] as a <literal>
Step 3 - Make mention that the new logger section needs to start with "logger_"
Step 5 - Mark up each value with <parameter>

But you've pretty much captured what's required. Excellent :)
Comment 5 Dan Macpherson 2013-12-01 20:53:22 EST
Looks good. Verified.
Comment 6 Dan Macpherson 2014-01-23 18:59:42 EST
This documentation issue has been fulfilled and pushed live to access.redhat.com

Note You need to log in before you can comment on or make changes to this bug.